Bug 1444093 - Review Request: python-pymoc - Multi-Order Coverage map module for Python
Summary: Review Request: python-pymoc - Multi-Order Coverage map module for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Astronomy-SIG
TreeView+ depends on / blocked
 
Reported: 2017-04-20 14:32 UTC by Christian Dersch
Modified: 2017-05-02 02:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-27 20:53:47 UTC
Type: ---
besser82: fedora-review+


Attachments (Terms of Use)

Description Christian Dersch 2017-04-20 14:32:57 UTC
Spec URL: https://lupinix.fedorapeople.org/review/python-pymoc.spec
SRPM URL: https://lupinix.fedorapeople.org/review/python-pymoc-0.4.2-1.fc26.src.rpm

Koji scratch build (rawhide): https://koji.fedoraproject.org/koji/taskinfo?taskID=19099516

Description: PyMOC is a module for manipulating Multi-Order Coverage (MOC) maps. It includes support for reading and writing the three encodings mentioned in the IVOA recommendation: FITS, JSON and ASCII. PyMOC also includes a utility program pymoctool to allow MOC files to be manipulated from the command line.

Fedora Account System Username: lupinix

Comment 1 Björn 'besser82' Esser 2017-04-20 19:07:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/besser82/vm_shared/fedora/review/1444093-python-
     pymoc/licensecheck.txt

     ---> License-tag is fine.

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep


===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pymoc , python3-pymoc

     ---> Python packages are meant to be stand-alone.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

     ---> Package is noarch'ed.

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pymoc-0.4.2-1.fc27.noarch.rpm
          python3-pymoc-0.4.2-1.fc27.noarch.rpm
          python-pymoc-0.4.2-1.fc27.src.rpm
python2-pymoc.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python2-pymoc.noarch: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
python2-pymoc.noarch: W: spelling-error %description -l en_US pymoctool -> polymorphic
python3-pymoc.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python3-pymoc.noarch: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
python3-pymoc.noarch: W: no-manual-page-for-binary pymoctool
python-pymoc.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python-pymoc.src: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
python-pymoc.src: W: spelling-error %description -l en_US pymoctool -> polymorphic
python-pymoc.src: E: specfile-error Python detected LC_CTYPE=C: LC_ALL & LANG coerced to C.UTF-8 (set another locale or PYTHONCOERCECLOCALE=0 to disable this locale coercion behaviour).
python-pymoc.src: E: specfile-error Python detected LC_CTYPE=C: LC_ALL & LANG coerced to C.UTF-8 (set another locale or PYTHONCOERCECLOCALE=0 to disable this locale coercion behaviour).
3 packages and 0 specfiles checked; 2 errors, 9 warnings.


Rpmlint (installed packages)
----------------------------
python2-pymoc.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python2-pymoc.noarch: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
python2-pymoc.noarch: W: spelling-error %description -l en_US pymoctool -> polymorphic
python3-pymoc.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python3-pymoc.noarch: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
python3-pymoc.noarch: W: no-manual-page-for-binary pymoctool
2 packages and 0 specfiles checked; 0 errors, 6 warnings.


Requires
--------
python2-pymoc (rpmlib, GLIBC filtered):
    python(abi)
    python2-astropy

python3-pymoc (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-astropy


Provides
--------
python2-pymoc:
    python-pymoc
    python2-pymoc
    python2.7dist(pymoc)
    python2dist(pymoc)

python3-pymoc:
    python3-pymoc
    python3.6dist(pymoc)
    python3dist(pymoc)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/pymoc/pymoc-0.4.2.tar.gz :
  CHECKSUM(SHA256) this package     : e6745311d1428917ec84cf264502c19dce17d143ccc760e5cf5c09c153700ace
  CHECKSUM(SHA256) upstream package : e6745311d1428917ec84cf264502c19dce17d143ccc760e5cf5c09c153700ace


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1444093
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Solution =====

Package approved!!!

Comment 2 Gwyn Ciesla 2017-04-21 12:40:25 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pymoc

Comment 3 Christian Dersch 2017-04-21 13:07:01 UTC
Thanks for reviewing :) Package imported.

Comment 4 Fedora Update System 2017-04-21 13:18:50 UTC
python-pymoc-0.4.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7ea95d4bf4

Comment 5 Fedora Update System 2017-04-21 13:19:00 UTC
python-pymoc-0.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-425601101c

Comment 6 Fedora Update System 2017-04-23 17:21:11 UTC
python-pymoc-0.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-425601101c

Comment 7 Fedora Update System 2017-04-23 20:24:10 UTC
python-pymoc-0.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7ea95d4bf4

Comment 8 Fedora Update System 2017-04-27 20:53:47 UTC
python-pymoc-0.4.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-05-02 02:00:43 UTC
python-pymoc-0.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.